<?php


if (!defined("SPECIALCONSTANT")) {
    die("Acceso Denegado");
}

function xml_encode(array $arr, SimpleXMLElement $xml)
{
    foreach ($arr as $k => $v) {
        is_array($v)
            ? xml_encode($v, $xml->addChild($k))
            : $xml->addChild($k, $v);
    }
    return $xml;
}

function siNull($var, $quepongo){
    if($var == null){
        return $quepongo;
    } else {
        return $var;
    }
}

function verificarUsuario($header){
    return TRUE;
}

function left($str, $length) {
     return substr($str, 0, $length);
}

function right($str, $length) {
     return substr($str, -$length);
}

function Nombre2File($nombre){

    $nombre = str_replace(" ", "_", $nombre);
    $nombre = str_replace("ñ", "n", $nombre);
    $nombre = str_replace("Ñ", "N", $nombre);
    $nombre = str_replace(".", "_", $nombre);
    $nombre = str_replace("/", "_", $nombre);

    return $nombre;

}
function FechaNula(){
    return strtotime("1900-01-01");
}

function FechaHoy(){
    return date('d/m/Y');
}

function FechaTodo(){
    return strtotime("2050-01-01");
}

function objectToArray($d) {
    if (is_object($d)) {
        // Gets the properties of the given object
        // with get_object_vars function
        $d = get_object_vars($d);
    }
 
    if (is_array($d)) {
        /*
        * Return array converted to object
        * Using __FUNCTION__ (Magic constant)
        * for recursive call
        */
        return array_map(__FUNCTION__, $d);
    }
    else {
        // Return array
        return $d;
    }
 }
 
 function darvuelta($cadena ){
    
    $ret = '';  
    for($i=0;$i<strlen($cadena);$i++){
        $ret = substr($cadena, $i, 1) .$ret  ;
    } 
    return $ret; 
 }